> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Create Pickups

POST https://api.bigcommerce.com/stores/{store_hash}/v3/orders/pickups
Content-Type: application/json

Creates one or many pickups.

This is a batch operation that can create up to 100 pickup objects in one request.

## Limits
* Limit of creating 100 pickup objects per `POST` request.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/pickup/post-pickup

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Order Fulfillment | read-only | `store_order_fulfillment_read_only` | | Order Fulfillment | modify | `store_order_fulfillment_manage` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects a list of PostRequestPickup.

- `list of PostRequestPickup`

## Response

### 200

The request has been successfully processed.

- `data` (list of Pickup, optional)
- `meta` (OrdersPickupsPostResponsesContentApplicationJsonSchemaMeta, optional)

## Errors

### 422 Unprocessable Entity Error

Incorrect entity. Locations were not valid. This results from missing required fields, invalid data, or partial error. See the response for more details.

- `status` (integer, optional) — The HTTP status code generated by the origin server for this occurrence of the problem.
- `title` (string, optional) — Human readable error message.
- `type` (string, optional) — URL identifying the error type. Dereferencing the URL leads to documentation about the error type.
- `errors` (ErrorResponseErrors, optional) — Detailed summary describing the particular error.

## Types

### PostRequestPickup

- `pickup_method_id` (integer, required) — ID of pickup method.
- `order_id` (integer, required) — ID of order.
- `ready_at` (string, required) — Can be provided as two inputs. Unix: Represents the time in seconds that has elapsed since Unix epoch (00:00:00 UTC on 1 January 1970) ISO-8601: Represents the time in ISO format.
- `pickup_items` (list of PostRequestPickupItem, required)
- `collected_at` (string, optional) — Can be provided as two inputs. Unix: Represents the time in seconds that has elapsed since Unix epoch (00:00:00 UTC on 1 January 1970). ISO-8601: Represents the time in ISO format. If this value is not supplied, the pickup item collected_at property will be null.

### Pickup

- `id` (integer, optional) — The ID of pickup.
- `pickup_method_id` (integer, optional) — ID of pickup method.
- `order_id` (integer, optional) — ID of order.
- `ready_at` (datetime, optional) — Datetime when pickup was ready for collection.
- `created_at` (datetime, optional) — Datetime when pickup was created.
- `updated_at` (datetime, optional) — Datetime when pickup was updated.
- `pickup_items` (list of PickupItem, optional)

### OrdersPickupsPostResponsesContentApplicationJsonSchemaMeta

### ErrorResponseErrors

Detailed summary describing the particular error.

### PostRequestPickupItem

- `order_product_id` (integer, required) — The ID of the product.
- `quantity` (integer, required) — The quantity of an item.

### PickupItem

- `id` (integer, optional) — The ID of pickup.
- `order_product_id` (integer, optional) — The ID of the product.
- `quantity` (integer, optional) — The quantity of an item.
- `status` (enum, optional) — The status of the pickup.
  - Allowed values: `AWAITING_COLLECTION`, `COLLECTED`
- `collected_at` (datetime, optional, nullable) — Date and time when the pickup was collected.

## Examples

**Request**

```json
[
  {
    "pickup_method_id": 2,
    "order_id": 103,
    "ready_at": "'1660555844' or '2022-06-11T00:00:20Z'",
    "pickup_items": [
      {
        "order_product_id": 4,
        "quantity": 5
      }
    ]
  }
]
```

**Response**

```json
{
  "data": [
    {
      "id": 1,
      "pickup_method_id": 2,
      "order_id": 103,
      "ready_at": "2022-08-15T09:30:44Z",
      "created_at": "2022-08-12T04:15:19.150539Z",
      "updated_at": "2022-08-12T04:15:19.150539Z",
      "pickup_items": [
        {
          "id": 3,
          "order_product_id": 4,
          "quantity": 5,
          "status": "COLLECTED",
          "collected_at": "2022-08-12T04:15:19.150539Z"
        }
      ]
    }
  ],
  "meta": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/orders/pickups"

payload = [
    {
        "pickup_method_id": 2,
        "order_id": 103,
        "ready_at": "'1660555844' or '2022-06-11T00:00:20Z'",
        "pickup_items": [
            {
                "order_product_id": 4,
                "quantity": 5
            }
        ]
    }
]
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/orders/pickups';
const options = {
  method: 'POST',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '[{"pickup_method_id":2,"order_id":103,"ready_at":"\'1660555844\' or \'2022-06-11T00:00:20Z\'","pickup_items":[{"order_product_id":4,"quantity":5}]}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/orders/pickups"

	payload := strings.NewReader("[\n  {\n    \"pickup_method_id\": 2,\n    \"order_id\": 103,\n    \"ready_at\": \"'1660555844' or '2022-06-11T00:00:20Z'\",\n    \"pickup_items\": [\n      {\n        \"order_product_id\": 4,\n        \"quantity\": 5\n      }\n    ]\n  }\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/orders/pickups")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"pickup_method_id\": 2,\n    \"order_id\": 103,\n    \"ready_at\": \"'1660555844' or '2022-06-11T00:00:20Z'\",\n    \"pickup_items\": [\n      {\n        \"order_product_id\": 4,\n        \"quantity\": 5\n      }\n    ]\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.bigcommerce.com/stores/store_hash/v3/orders/pickups")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"pickup_method_id\": 2,\n    \"order_id\": 103,\n    \"ready_at\": \"'1660555844' or '2022-06-11T00:00:20Z'\",\n    \"pickup_items\": [\n      {\n        \"order_product_id\": 4,\n        \"quantity\": 5\n      }\n    ]\n  }\n]")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.bigcommerce.com/stores/store_hash/v3/orders/pickups', [
  'body' => '[
  {
    "pickup_method_id": 2,
    "order_id": 103,
    "ready_at": "\'1660555844\' or \'2022-06-11T00:00:20Z\'",
    "pickup_items": [
      {
        "order_product_id": 4,
        "quantity": 5
      }
    ]
  }
]',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/orders/pickups");
var request = new RestRequest(Method.POST);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"pickup_method_id\": 2,\n    \"order_id\": 103,\n    \"ready_at\": \"'1660555844' or '2022-06-11T00:00:20Z'\",\n    \"pickup_items\": [\n      {\n        \"order_product_id\": 4,\n        \"quantity\": 5\n      }\n    ]\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "pickup_method_id": 2,
    "order_id": 103,
    "ready_at": "'1660555844' or '2022-06-11T00:00:20Z'",
    "pickup_items": [
      [
        "order_product_id": 4,
        "quantity": 5
      ]
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/orders/pickups")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```